Vue.config.devtools = true;
var v = new Vue({
    el: ".container",
    data: {
        isVip: localStorage.getItem('isVip') == 1,
        list: [],
        cata: [],
        oneCata: [],
        twoCata: [],
        threeCata: [],
        start: 1,
        size: 12,
        finished: false,
        loading: false,//出现了 上拉到底出发了两次请求接口的情况  加一个变量控制一下
        active: -1,
        ad: [],//广告信息
        isLogin: 0,
        memToken: 'H5_HQ2RRR.Vw87oBWZqtYDg_waofbMfkjDtc5BorX21pXNw7R5_wY3ogXZaJZ8Gzom9wy5p2oi_K98hI.NdPAKBJA%3D%3D',
        memHeadImg: '',
        memCard: 'bf524aec007f4f58b8835c211f846269',
        userJf: -1,
        chooseItem: false,
        total: 0,
    },
    created: function () {
        if ($.cookie("memToken")) {
            this.memToken = $.cookie("memToken");
            this.isLogin = 1;
        }
        if ($.cookie("memHeadImg")) {
            this.memHeadImg = $.cookie("memHeadImg");
        }
        if (!againWebLogin()) {
            return false;
        }
        this.getIndexData();
        this.getCataList(1, 1);
        this.getAdInfo();
        this.findUserIntegral();
        // window.addEventListener("scroll", this.scrollBottom, true);
    },
    mounted() {
        setTimeout(() => {
            var mySwiper = new Swiper('.swiper-container', {
                direction: 'horizontal', // 水平切换选项
                loop: this.ad.length > 1, // 循环模式选项
                observerParents: true,
                observer: true,
                autoplay: {
                    disableOnInteraction: false,  //触碰后自动轮播也不会停止
                    delay: 2000,
                },
                // 如果需要分页器
                pagination: {
                    el: '.swiper-pagination',
                },

                // 如果需要前进后退按钮
                navigation: {
                    nextEl: '.swiper-button-next',
                    prevEl: '.swiper-button-prev',
                },

                // 如果需要滚动条
                scrollbar: {
                    el: '.swiper-scrollbar',
                },

            })
        }, 1000);

    },
    methods: {
        findUserIntegral() {
            var that = this;
            $.ajax({
                type: 'POST',
                url: serverHttp + "/user/findUserIntegral",
                data: {
                    memToken: that.memToken
                },
                success: function (data) {
                    if (data.code == 200) {
                        that.userJf = data.data;
                    }
                },
                error: function (data) {
                }
            });
        },
        gotoPay(item) {
            if (!checkWebLogin()) {
                return false;
            }
            if ((item.isPurchased == 0 && item.pointFlag == 0 && item.price > 0) || (item.isPurchased == 0 && item.pointFlag == 1 && item.point > 0)) {
                this.toPay(item.id);
            } else if ((item.isPurchased == 0 && item.pointFlag == 0 && item.price == 0) || (item.isPurchased == 0 && item.pointFlag == 1 && item.point == 0)) {
                this.addFreeBuyApi(item.id);
            } else if (item.isPurchased == 1) {

            }
        },
        toPay(id) {
            // var that = this;
            toPayWeb(4, id, 1, '');
        },
        addFreeBuyApi(id) {
            var that = this;
            $.ajax({
                type: 'POST',
                url: serverHttp + "/pay/addFreeBuyApi",
                data: {
                    memToken: that.memToken,
                    memCard: that.memCard,
                    orderType: 4,
                    objId: id,
                    ispackage: 1,
                    paySource: 2,
                    fromMemCard: ''
                },
                success: function (data) {
                    if (data.code == 200) {
                        that.list.forEach((item, index) => {
                            if (item.id == id) {
                                item.isPurchased = 1;
                            }
                        });
                    } else {
                        alert(data.data.message);
                    }
                },
                error: function (data) {
                }
            });
        },
        handleSizeChange(val) {
            this.page = val
            this.getIndexData()
        },
        handleCurrentChange(val) {
            this.start = val
            this.getIndexData()
        },
        getIndexData(id) {
            //id：分类id id = -1 是全部分类
            var that = this;

            $.ajax({
                type: 'POST',
                url: serverHttp + "/courseware/getPageData",
                data: {
                    cataId: that.active,
                    page: that.start,
                    size: that.size,
                    memToken: that.memToken
                },
                success: function (data) {
                    if (data.code == 200) {
                        that.list = data.data;
                        that.total = data.totalCount

                    } else if (data.code == 10005) {
                        that.finished = true;
                    }

                },
                error: function (data) {

                }
            });
        },
        coursePrefectureList(i) {
            const type = this.list[i].zq;
            console.log(type);
            if (type == 1) {
                //普通课程
                window.location.href = serverHttp + "/course/courseDetails?from=H5&id=" + this.list[i].id;
            } else {
                //专区
                window.location.href = serverHttp + "/course/coursePrefectureList?from=H5&id=" + this.list[i].id;
            }
        },
        scrollBottom() {
            const that = this;
            // 滚动到页面底部时
            const el = document.getElementById("list");
            const elHeight = $("#list").offset()['top'];//元素距离顶部距离 该计算可能会有一些偏差
            const windowHeight = window.screen.height * 750 / window.screen.width;
            const scrollTop =
                document.documentElement.scrollTop || document.body.scrollTop;
            const contentHeight = el.clientHeight;
            //316为
            const toBottom = contentHeight - windowHeight - scrollTop - elHeight;
            if (toBottom < 10 && !that.finished) {
                that.getIndexData();
            }
        },

        hideCata() {
            this.chooseItem = false;
        },
        confirm() {
            var that = this;
            that.loading = false;
            that.start = 1;
            that.getIndexData();
        },
        chooseCata(i, type) {
            var that = this;
            that.start = 1;
            that.total = 0;
            if (type == 1) {
                //取二级菜单

                for (var item of that.oneCata) {
                    if (item.active == 1) {
                        item.active = 0
                    }
                }
                that.twoCata = [];
                that.oneCata[i].active = 1;
                that.getCataList(that.oneCata[i].id, 2);
                that.active = that.oneCata[i].id;
                this.getIndexData()
            } else if (type == 2) {
                //取三级级菜单
                for (var item1 of that.twoCata) {
                    if (item1.active == 1) {
                        item1.active = 0
                    }
                }
                that.threeCata = [];
                that.twoCata[i].active = 1;
                that.getCataList(that.twoCata[i].id, 3);
                that.active = that.twoCata[i].id;
                this.getIndexData()
            } else {
                //三级直接查
                for (var item2 of that.threeCata) {
                    if (item2.active == 1) {
                        item2.active = 0
                    }
                }
                that.threeCata[i].active = 1;
                that.active = that.threeCata[i].id;
                this.getIndexData()
            }
        },
        getCataList(fId, type) {
            var that = this;
            $.ajax({
                type: 'POST',
                url: serverHttp + "/course/getCataListForCourseware",
                data: {
                    fId: fId,
                    type: type,
                },
                success: function (res) {
                    if (res.code == 200) {
                        var item = res.data;

                        if (type == 1) {
                            for (var i = 0; i < item.length; i++) {
                                if (i == 0) {
                                    item[i].active = 1
                                } else {
                                    item[i].active = 0;
                                }
                            }
                            that.cata = item;
                            that.oneCata = item;
                        } else if (type == 2) {
                            that.twoCata = item;
                        } else {
                            that.threeCata = item;
                        }

                    }

                },
                error: function (data) {

                }
            });
        },
        downFile(id) {
            console.log('下载')
            var that = this;
            window.location.href = serverHttp + "/courseware/downFilebyWeb?id=" + id
        },
        getAdInfo() {
            var that = this;
            $.ajax({
                type: 'POST',
                url: serverHttp + "/courseware/getAdInfo",
                success: function (res) {
                    if (res.code == 200) {
                        that.ad = res.data;
                    }
                },
                error: function (data) {
                }
            });
        },
        chooseTab(i) {
            console.log(i);
            var that = this;
            for (var item of that.cata) {
                if (item.active == 1) {
                    item.active = 0
                }
            }
            that.getCataList(that.oneCata[i].id, 2);
            that.cata[i].active = 1;
            that.active = that.cata[i].id;
            that.loading = false;
            that.start = 1;
            that.total = 0;
            that.twoCata = [];
            that.threeCata = [];
            that.getIndexData();
        },
        gotoAdHtml(url) {
            window.location.href = url;
        },
        showChooseItem() {
            if (this.chooseItem) {
                this.chooseItem = false;
            } else {
                this.chooseItem = true;
            }
        }
    }
})
